hdynamictablemat <-
function (tablename, tableid, tabledata, headers = NULL, pagenum = 1, 
    initialize_collapsed = FALSE) 
{
    m = nrow(tabledata)
    n = ncol(tabledata)
    hcat("\n<a href=\"javascript:elementHideShow('", tableid, 
        "');\"> <font size=5>", tablename, "</font>  </a>\n", 
        pagenum = pagenum)
    hcat("<form onsubmit=\"return false\" style=\"display:inline\">\n", 
        pagenum = pagenum)
    hcat("&nbsp Rows\n", pagenum = pagenum)
    for (i in 1:m) {
        hcat("<input type=checkbox name=\"", tableid, "row", 
            i, "\" onclick=\"toggleVisrow(this.name)\" checked> ", 
            i, pagenum = pagenum)
    }
    hcat("</form>\n", pagenum = pagenum)
    hcat("<form onsubmit=\"return false\" style=\"display:inline\">\n", 
        pagenum = pagenum)
    hcat("&nbsp Columns\n", pagenum = pagenum)
    for (j in 1:n) {
        hcat("<input type=checkbox name=\"", tableid, "col", 
            j, "\" onclick=\"toggleVis(this.name)\" checked> ", 
            j, pagenum = pagenum)
    }
    hcat("</form>\n", pagenum = pagenum)
    if (initialize_collapsed) 
        hcat("<table style=\"display:none\" id=\"", tableid, 
            "\" border=\"1\" >\n", pagenum = pagenum)
    else hcat("<table style=\"display:table\" id=\"", tableid, 
        "\" border=\"1\" >\n", pagenum = pagenum)
    if (!is.null(headers)) {
        hcat("<tr name=\"t", tableid, "row", 0, "\" id=\"t", 
            tableid, "row", 0, "\">\n", pagenum = pagenum)
        for (j in 1:n) {
            hcat("<td name=\"t", tableid, "col", j, "\" id=\"t", 
                tableid, "col", j, "\">", pagenum = pagenum)
            hcat(headers[j], pagenum = pagenum)
            hcat("</td>\n", pagenum = pagenum)
        }
        hcat("</tr>\n", pagenum = pagenum)
    }
    for (i in 1:m) {
        hcat("<tr name=\"t", tableid, "row", i, "\" id=\"t", 
            tableid, "row", i, "\">\n", pagenum = pagenum)
        for (j in 1:n) {
            hcat("<td name=\"t", tableid, "col", j, "\" id=\"t", 
                tableid, "col", j, "\">", pagenum = pagenum)
            hcat(tabledata[i, j], pagenum = pagenum)
            hcat("</td>\n", pagenum = pagenum)
        }
        hcat("</tr>\n", pagenum = pagenum)
    }
    hcat("</table><br>\n\n", pagenum = pagenum)
}
