hstart <-
function (basedir = "html", filename = "index.html", title = "No Title", 
    overwrite = FALSE, headerfiles = NULL, bodyfiles = NULL, 
    clean = TRUE) 
{
    if (clean) {
        if (exists("htmllatexlock")) 
            detach(htmllatexbase)
    }
    if (file.exists(basedir)) {
        if (overwrite) {
            unlink(basedir, recursive = TRUE)
        }
        else {
            cat("Basedir already exists.\n")
            return(NULL)
        }
    }
    if (!exists("htmllatexlock")) {
        htmllatexlock = TRUE
        htmllatexenv = new.env(parent = globalenv())
        htmllatexbase = list(htmllatexenv = htmllatexenv, htmllatexlock = htmllatexlock)
        attach(htmllatexbase)
    }
    htmlpage = list(basedir = NULL, filename = NULL, file = NULL, 
        active = TRUE)
    if (!exists("htmlpages", where = htmllatexenv)) {
        htmllatexenv$htmlpages = list(htmlpage)
        pagenum = 1
    }
    else {
        htmllatexenv$htmlpages = c(htmllatexenv$htmlpages, list(htmlpage))
        pagenum = length(htmllatexenv$htmlpages)
    }
    dir.create(basedir)
    htmllatexenv$htmlpages[[pagenum]]$basedir = basedir
    htmllatexenv$htmlpages[[pagenum]]$filename = filename
    htmllatexenv$htmlpages[[pagenum]]$file = paste(basedir, filename, 
        sep = "/")
    hcat("<html>\n", pagenum = pagenum)
    hcat("<head>\n", pagenum = pagenum)
    hcat("<title>\n", pagenum = pagenum)
    hcat(title, pagenum = pagenum)
    hcat("</title>\n", pagenum = pagenum)
    if (!is.null(headerfiles)) 
        for (headerfile in headerfiles) hmerge(headerfile, pagenum = pagenum)
    hcat("</head>\n", pagenum = pagenum)
    hcat("<body>\n", pagenum = pagenum)
    if (!is.null(bodyfiles)) 
        for (bodyfile in bodyfiles) hmerge(bodyfile, pagenum = pagenum)
    return(pagenum)
}
