htablemat <-
function (tableid, tabledata, headers = NULL, google = FALSE, 
    pagenum = 1) 
{
    m = nrow(tabledata)
    n = ncol(tabledata)
    hcat("<table style=\"display:table\" id=\"", tableid, "\" border=\"1\" >\n", 
        pagenum = pagenum)
    if (!is.null(headers)) {
        hcat("<tr name=\"t", tableid, "row", 0, "\" id=\"t", 
            tableid, "row", 0, "\">\n", pagenum = pagenum)
        for (j in 1:n) {
            hcat("<td name=\"t", tableid, "col", j, "\" id=\"t", 
                tableid, "col", j, "\">", pagenum = pagenum)
            hcat(headers[j], pagenum = pagenum)
            hcat("</td>\n", pagenum = pagenum)
        }
        hcat("</tr>\n", pagenum = pagenum)
    }
    for (i in 1:m) {
        hcat("<tr name=\"t", tableid, "row", i, "\" id=\"t", 
            tableid, "row", i, "\">\n", pagenum = pagenum)
        for (j in 1:n) {
            hcat("<td name=\"t", tableid, "col", j, "\" id=\"t", 
                tableid, "col", j, "\">", pagenum = pagenum)
            if (google) 
                hcatgoogle(tabledata[i, j], pagenum = pagenum)
            else hcat(tabledata[i, j], pagenum = pagenum)
            hcat("</td>\n", pagenum = pagenum)
        }
        hcat("</tr>\n", pagenum = pagenum)
    }
    hcat("</table>\n\n", pagenum = pagenum)
}
