ldoubletable <-
function (mat1, mat2, rnames = TRUE, justify = NULL, headerjustify = NULL, 
    header = NULL, pagenum = 1) 
{
    mat = matrix(0, nrow(mat1), ncol(mat1) * 2)
    rownames(mat) = rownames(mat1)
    mat[, (1:ncol(mat1)) * 2 - 1] = mat1
    mat[, (1:ncol(mat1)) * 2] = mat2
    if (is.null(justify)) {
        justify = rep("r", ncol(mat1) * 2)
        if (rnames) 
            justify = c("l", justify)
    }
    if (is.null(headerjustify)) 
        headerjustify = rep("c", ncol(mat1))
    lcat("\\begin{tabular}{", justify, "}\n", pagenum = pagenum)
    if (is.null(header) & (!is.null(colnames(mat1)))) 
        header = matrix(colnames(mat1), 1, )
    if ((!is.null(header)) & (!is.matrix(header))) 
        header = matrix(header, 1, )
    if (!is.null(header)) 
        for (i in 1:nrow(header)) {
            if (rnames) 
                lcat(" & \n", pagenum = pagenum)
            for (j in 1:ncol(header)) {
                lcat("\\multicolumn{2}{", headerjustify[j], "}{", 
                  header[i, j], "}", pagenum = pagenum)
                if (j == ncol(header)) 
                  lcat("\\\\\n", pagenum = pagenum)
                else lcat(" &\n", pagenum = pagenum)
            }
        }
    ltabledata(mat, rnames = rnames, cnames = FALSE, pagenum = pagenum)
    lcat("\\end{tabular}\n", pagenum = pagenum)
}
