lsimplemulticolumn <-
function (headers, justify = "c", trailingslashes = TRUE, pagenum = 1) 
{
    if (!is.matrix(justify)) 
        justify = matrix(justify, nrow(headers), ncol(headers), 
            byrow = TRUE)
    for (i in 1:nrow(headers)) {
        curstart = 1
        for (j in 1:ncol(headers)) {
            if (headers[i, j] != headers[i, curstart]) {
                lcat("\\multicolumn{", j - curstart, "}{", justify[i, 
                  curstart], "}{", headers[i, curstart], "} & ", 
                  pagenum = pagenum)
                curstart = j
            }
            if (j == ncol(headers)) {
                if (headers[i, j] != "") 
                  lcat("\\multicolumn{", j - curstart + 1, "}{", 
                    justify[i, curstart], "}{", headers[i, curstart], 
                    "}", pagenum = pagenum)
            }
            if (headers[i, j] == "") {
                if (j < ncol(headers)) 
                  lcat(" & ", pagenum = pagenum)
                curstart = j + 1
            }
        }
        if (i < nrow(headers)) 
            lcat("\\\\\n", pagenum = pagenum)
        else if (trailingslashes) 
            lcat("\\\\\n", pagenum = pagenum)
        else lcat("\n", pagenum = pagenum)
    }
}
